: Class MimeBase64Encoder

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## grendel.mime.encoder
Class MimeBase64Encoder

    java.lang.Object
      |
      +--grendel.mime.encoder.MimeEncoder
            |
            +--grendel.mime.encoder.MimeBase64Encoder

public final class MimeBase64Encoder
extends MimeEncoder

Implements a Base64 -> plaintext decoder.

Constructor Summary
`MimeBase64Encoder()`

Method Summary
`void` | `eof(ByteBuf out)` Tell the base64 encoder that no more input data will be forthcoming.
`void` | `translate(ByteBuf in, ByteBuf out)` Given a sequence of input bytes, produces a sequence of output bytes using the base64 encoding.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MimeBase64Encoder

    public MimeBase64Encoder()

Method Detail

### translate

    public final void translate(ByteBuf in,
                                ByteBuf out)

  Given a sequence of input bytes, produces a sequence of output bytes using the base64 encoding. If there are bytes in `out' already, the new bytes are appended, so the caller should do `out.setLength(0)' first if that's desired.
  Overrides:
    translate in class MimeEncoder

### eof

    public final void eof(ByteBuf out)

  Tell the base64 encoder that no more input data will be forthcoming. This may result in output, as a result of flushing the internal buffer. This object must not be used again after calling eof(). If there are bytes in `out' already, the new bytes are appended, so the caller should do `out.setLength(0)' first if that's desired.
  Overrides:
    eof in class MimeEncoder

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD